data.class {base} | R Documentation

## Object Classes

### Description

Determine the class of an arbitrary R object.

### Usage

    data.class(x)

### Arguments

`x` | an R object.

### Value

character string giving the ``class'' of `x`.

The ``class'' is the (first element) of the `class` attribute if this is non-`NULL`, or inferred from the object's `dim` attribute if this is non-`NULL`, or `mode(x)`.

Simply speaking, `data.class(x)` returns what is typically useful for method dispatching. (Or, what the basic creator functions already and maybe eventually all will attach as a class attribute.)

### See Also

`class`

### Examples

    x <- LETTERS
    data.class(factor(x))                 # has a class attribute
    data.class(matrix(x, nc = 13))        # has a dim attribute
    data.class(list(x))                   # the same as mode(x)
    data.class(x)                         # the same as mode(x)

[Package Contents]